﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using ff14bot.Managers;

namespace TargetWeakestEnemyPlugin
{
    public partial class Gui : Form
    {
        public Gui()
        {
            InitializeComponent();
            
            comboBoxCheckSpecificTargets.SelectedIndex = Settings.Instance.CheckSpecificTargets ? 0 : 1;
            numericUpDownSecondsBetweenTargetChange.Value = Settings.Instance.SecondsBetweenTargetChanges;
        }

        private void comboBoxCheckSpecificTargets_SelectionChangeCommitted(object sender, EventArgs e)
        {
            Settings.Instance.CheckSpecificTargets = comboBoxCheckSpecificTargets.SelectedIndex == 0 ? true : false;
            Settings.Instance.Save();
        }

        private void numericUpDownSecondsBetweenTargetChange_ValueChanged(object sender, EventArgs e)
        {
            Settings.Instance.SecondsBetweenTargetChanges = (int)numericUpDownSecondsBetweenTargetChange.Value;
            Settings.Instance.Save();
        }
    }
}